IDA SDK

- Main Page
- Header Files
- Classes
- Modules

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes | Public Member Functions | List of all members
switch_info_ex_t Struct Reference

## Detailed Description

Extended information about a switch statement.

Inherits switch_info_t.

## Public Attributes
size_t | cb
| sizeof(this)
int | flags2
| Extended switch info flags
int | jcases
| number of entries in the jump table (SWI2_INDIRECT)
sval_t | ind_lowcase
ea_t | elbase
| element base
int | regnum
| the switch expression as a register number of the instruction at 'startea'. More...
char | regdtyp
| size of the switch expression register as dtyp
uval_t | custom
| information for custom tables (filled and used by modules)
Public Attributes inherited from switch_info_t
ushort | flags
| Switch info flags
ushort | ncases
| number of cases (excluding default)
ea_t | jumps
| jump table start address
union {
ea_t values
| values table address (if SWI_SPARSE is set)
uval_t lowcase
| the lowest value in cases
}; |
ea_t | defjump
| default jump address (BADADDR if not used)
ea_t | startea
| start of the switch idiom

## Public Member Functions
bool | is_indirect (void) const
bool | is_subtract (void) const
bool | is_nolowcase (void) const
int | get_jtable_size (void) const
void | set_jtable_size (int size)
sval_t | get_lowcase (void) const
void | set_expr (int r, char dt)
void | clear (void)
Public Member Functions inherited from switch_info_t
int | get_shift (void) const
| See SWI_SHIFT_MASK. More...
void | set_shift (int shift)
| See SWI_SHIFT_MASK.
int | get_jtable_element_size (void) const
void | set_jtable_element_size (int size)
int | get_vtable_element_size (void) const
void | set_vtable_element_size (int size)

## Member Data Documentation

int switch_info_ex_t::regnum

the switch expression as a register number of the instruction at 'startea'.

-1 means 'unknown'

The documentation for this struct was generated from the following file:

- nalt.hpp